(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 9.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc. For additional information concerning CDF     *)
(*  licensing and redistribution see:                                    *)
(*                                                                       *)
(*        www.wolfram.com/cdf/adopting-cdf/licensing-options.html        *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[      1063,         20]
NotebookDataLength[     63427,       1606]
NotebookOptionsPosition[     63705,       1592]
NotebookOutlinePosition[     64245,       1614]
CellTagsIndexPosition[     64202,       1611]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Uk\[AAcute]zka CDF", "Title", "PluginEmbeddedContent"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Gamma]", "[", "v_", "]"}], ":=", 
    FractionBox["1", 
     SqrtBox[
      RowBox[{"1", "-", 
       FractionBox[
        SuperscriptBox["v", "2"], "1"]}]]]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Lorentz", " ", "factor"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"loL", "[", 
     RowBox[{"xa_", ",", "xb_", ",", "v_"}], "]"}], ":=", 
    RowBox[{
     FractionBox["xa", "v"], "-", 
     FractionBox["xb", 
      RowBox[{
       RowBox[{"\[Gamma]", "[", "v", "]"}], " ", "v"}]]}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{"Line", " ", "of", " ", "same", " ", "Location"}], " ", "*)"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"loS", "[", 
     RowBox[{"xa_", ",", "tb_", ",", "v_"}], "]"}], ":=", 
    RowBox[{
     FractionBox["tb", 
      RowBox[{"\[Gamma]", "[", "v", "]"}]], "+", 
     RowBox[{
      FractionBox["v", 
       SuperscriptBox["1", "2"]], "xa"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Line", " ", "of", " ", "Simultaneity"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "transform", " ", "from", " ", "B", " ", "to", " ", "A", " ", "system"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xaT", "[", 
    RowBox[{"xb_", ",", "tb_", ",", "v_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Gamma]", "[", "v", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{"xb", "+", 
      RowBox[{"v", " ", "tb"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"taT", "[", 
     RowBox[{"xb_", ",", "tb_", ",", "v_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"\[Gamma]", "[", "v", "]"}], 
     RowBox[{"(", 
      RowBox[{"tb", "+", 
       RowBox[{"v", " ", "xb"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "transform", " ", "from", " ", "A", " ", "to", " ", "B", " ", "system"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xbT", "[", 
    RowBox[{"xa_", ",", "ta_", ",", "v_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Gamma]", "[", "v", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{"xa", "-", 
      RowBox[{"v", " ", "ta"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tbT", "[", 
    RowBox[{"xa_", ",", "ta_", ",", "v_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Gamma]", "[", "v", "]"}], 
    RowBox[{"(", 
     RowBox[{"ta", "-", 
      RowBox[{"v", " ", "xa"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"Flatten", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"loL", "[", 
          RowBox[{"xa", ",", "0", ",", "v"}], "]"}], ",", 
         RowBox[{"loS", "[", 
          RowBox[{"xa", ",", "0", ",", "v"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"loL", "[", 
            RowBox[{"xa", ",", "xb", ",", "v"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"xb", ",", 
             RowBox[{"-", "20"}], ",", "20", ",", "1"}], "}"}]}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"loS", "[", 
            RowBox[{"xa", ",", "xb", ",", "v"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"xb", ",", 
             RowBox[{"-", "20"}], ",", "20", ",", "1"}], "}"}]}], "]"}]}], 
        "}"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"xa", ",", "0", ",", "7"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"Darker", "[", "Green", "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"n", "\[LessEqual]", "2"}], ",", "Thick", ",", 
            RowBox[{"Thickness", "[", "0.0001", "]"}]}], "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"n", "\[LessEqual]", "2"}], ",", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", "Dotted"}], "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"n", ",", "84"}], "}"}]}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"GridLines", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Range", "[", "7", "]"}], ",", 
        RowBox[{"Range", "[", "7", "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"GridLinesStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"Blue", ",", "Thin", ",", "Dotted"}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"AxesStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"Blue", ",", "Thick"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", "\"\<\!\(\*SubscriptBox[\(x\), \(A\)]\)\>\"", "}"}]}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Range", "[", "7", "]"}], ",", 
        RowBox[{"Range", "[", "7", "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"LabelStyle", "\[Rule]", "16"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"skewed", " ", "coordinate", " ", "system"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"n", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}],
                "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"0", ",", "n", ",", "v"}], "]"}], "+", "0.2"}], ",", 
                RowBox[{"taT", "[", 
                 RowBox[{"0", ",", "n", ",", "v"}], "]"}]}], "}"}]}], "]"}], 
            ",", 
            RowBox[{"Darker", "[", "Green", "]"}], ",", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{
                   RowBox[{"-", "0.08"}], ",", "n", ",", "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{
                   RowBox[{"-", "0.08"}], ",", "n", ",", "v"}], "]"}]}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{
                   RowBox[{"+", "0.08"}], ",", "n", ",", "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{
                   RowBox[{"+", "0.08"}], ",", "n", ",", "v"}], "]"}]}], 
                "}"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"n", ",", "1", ",", "7"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"n", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}],
                "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"xaT", "[", 
                 RowBox[{"n", ",", "0", ",", "v"}], "]"}], ",", 
                RowBox[{
                 RowBox[{"taT", "[", 
                  RowBox[{"n", ",", "0", ",", "v"}], "]"}], "+", "0.2"}]}], 
               "}"}]}], "]"}], ",", 
            RowBox[{"Darker", "[", "Green", "]"}], ",", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"n", ",", 
                   RowBox[{"-", "0.08"}], ",", "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"n", ",", 
                   RowBox[{"-", "0.08"}], ",", "v"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"n", ",", 
                   RowBox[{"+", "0.08"}], ",", "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"n", ",", 
                   RowBox[{"+", "0.08"}], ",", "v"}], "]"}]}], "}"}]}], "}"}],
              "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"n", ",", "1", ",", "7"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{"sol", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Darker", "[", "Red", "]"}], ",", " ", 
            RowBox[{"Line", " ", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"7", ",", "7"}], "}"}]}], "}"}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<c\>\"", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Darker", "[", "Red", "]"}], ",", "Bold", ",", 
                  "18"}], "}"}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"6.85", ",", "6.65"}], "}"}]}], "]"}]}], "}"}]}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"leader", " ", "lines"}], " ", "*)"}], "\[IndentingNewLine]",
         "Blue", ",", "Dashed", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"pta", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"pta", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}]}], "}"}], 
         "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"pta", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"pta", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Darker", "[", "Green", "]"}], ",", "Dashed", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"pta", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"xaT", "[", 
              RowBox[{
               RowBox[{"xbT", "[", 
                RowBox[{
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", "0",
                ",", "v"}], "]"}], ",", 
             RowBox[{"taT", "[", 
              RowBox[{
               RowBox[{"xbT", "[", 
                RowBox[{
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", "0",
                ",", "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xaT", "[", 
            RowBox[{
             RowBox[{"xbT", "[", 
              RowBox[{
               RowBox[{"pta", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"pta", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", "0", 
             ",", "v"}], "]"}], ",", 
           RowBox[{"taT", "[", 
            RowBox[{
             RowBox[{"xbT", "[", 
              RowBox[{
               RowBox[{"pta", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"pta", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", "0", 
             ",", "v"}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"pta", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"xaT", "[", 
              RowBox[{"0", ",", 
               RowBox[{"tbT", "[", 
                RowBox[{
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
               "v"}], "]"}], ",", 
             RowBox[{"taT", "[", 
              RowBox[{"0", ",", 
               RowBox[{"tbT", "[", 
                RowBox[{
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
               "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xaT", "[", 
            RowBox[{"0", ",", 
             RowBox[{"tbT", "[", 
              RowBox[{
               RowBox[{"pta", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"pta", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", "v"}],
             "]"}], ",", 
           RowBox[{"taT", "[", 
            RowBox[{"0", ",", 
             RowBox[{"tbT", "[", 
              RowBox[{
               RowBox[{"pta", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"pta", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", "v"}],
             "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"pta", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"pta", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"length", " ", "contraction"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "2"}], ",", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Darker", "[", "Green", "]"}], ",", 
            RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{
                   RowBox[{"xbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "0", ",", "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{
                   RowBox[{"xbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "0", ",", "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", "Blue", ",", " ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0.03"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{
                   RowBox[{"xbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "0", ",", "v"}], "]"}], ",", "0.03"}], "}"}]}], "}"}], 
             "]"}]}], "\[IndentingNewLine]", "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"time", " ", "dilation"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "3"}], ",", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Darker", "[", "Green", "]"}], ",", 
            RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", "Blue", ",", " ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0.03", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0.03", ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}]}], "}"}]}], "}"}], "]"}]}], 
           "\[IndentingNewLine]", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"relativity", " ", "of", " ", "simultaneity"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "4"}], ",", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Darker", "[", "Green", "]"}], ",", 
            RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Dashed", ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{"pta", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Thickness", "[", "0.01", "]"}], ",", " ", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", "Blue", ",", " ", 
            RowBox[{"Thickness", "[", "0.01", "]"}], ",", " ", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{"pta", ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}], "]"}]}], 
           "\[IndentingNewLine]", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"text", " ", "frame"}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Opacity", "[", "1", "]"}], ",", "White", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0.5"}], ",", "7.2"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"7.5", ",", "10.2"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Lorentz Transformation\>\"", ",", 
            RowBox[{"{", 
             RowBox[{"Black", ",", "24"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"3.5", ",", "9.8"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"static", " ", "FoR", " ", "frame"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"EdgeForm", "[", 
         RowBox[{"Directive", "[", 
          RowBox[{"Thick", ",", "Blue"}], "]"}], "]"}], ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "7.8"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"3.4", ",", "9.5"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Opacity", "[", "0.2", "]"}], ",", "Blue", ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "9.1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"3.4", ",", "9.5"}], "}"}]}], "]"}], ",", 
        RowBox[{"Opacity", "[", "1", "]"}], ",", "White", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Static FoR\>\"", ",", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", "Bold", ",", "18"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.7", ",", "9.3"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(A\)]\) = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"pta", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
             "\"\< light seconds\>\""}], ",", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", "16"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.7", ",", "8.8"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<\!\(\*SubscriptBox[\(t\), \(A\)]\) = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"pta", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
             "\"\< seconds\>\""}], ",", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", "16"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.5", ",", "8.5"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"length", " ", "contraction"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "2"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"\"\<\!\(\*SubscriptBox[\(l\), \(A\)]\) = \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{"xaT", "[", 
                   RowBox[{
                    RowBox[{"xbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                    "0", ",", "v"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
               "\"\< light seconds\>\""}], ",", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", "16"}], "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"1.74", ",", "8.1"}], "}"}]}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"time", " ", "dilation"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "3"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{
              "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(A\)]\) = \>\"", 
               "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{"taT", "[", 
                   RowBox[{"0", ",", 
                    RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                    "v"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
               "\"\< seconds\>\""}], ",", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", "16"}], "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"1.5", ",", "8.1"}], "}"}]}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"relativity", " ", "of", " ", "simultaneity"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "4"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{
              "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(A\)]\) = \>\"", 
               "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{"0", ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
               "\"\< seconds\>\""}], ",", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", "16"}], "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"1.5", ",", "8.1"}], "}"}]}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"moving", " ", "FoR", " ", "frame"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"EdgeForm", "[", 
         RowBox[{"Directive", "[", 
          RowBox[{"Thick", ",", 
           RowBox[{"Darker", "[", "Green", "]"}]}], "]"}], "]"}], ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"3.5", ",", "7.8"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"6.9", ",", "9.5"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
        RowBox[{"Darker", "[", "Green", "]"}], ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"3.5", ",", "9.1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"6.9", ",", "9.5"}], "}"}]}], "]"}], ",", 
        RowBox[{"Opacity", "[", "1", "]"}], ",", "White", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<Moving FoR v = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"NumberForm", "[", 
               RowBox[{"v", ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
             "\"\< c\>\""}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Darker", "[", "Green", "]"}], ",", "Bold", ",", "18"}],
              "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"5.2", ",", "9.3"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(B\)]\) = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"xbT", "[", 
                 RowBox[{
                  RowBox[{"pta", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"pta", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
             "\"\< light seconds\>\""}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"5.2", ",", "8.8"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<\!\(\*SubscriptBox[\(t\), \(B\)]\) = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"tbT", "[", 
                 RowBox[{
                  RowBox[{"pta", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"pta", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
             "\"\< seconds\>\""}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"5", ",", "8.5"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"length", " ", "contraction"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "2"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"\"\<\!\(\*SubscriptBox[\(l\), \(B\)]\) = \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{"xbT", "[", 
                   RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
               "\"\< light seconds\>\""}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"5.24", ",", "8.1"}], "}"}]}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"time", " ", "dilation"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "3"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{
              "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(B\)]\) = \>\"", 
               "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{"tbT", "[", 
                   RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
               "\"\< seconds\>\""}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"5.0", ",", "8.1"}], "}"}]}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"relativity", " ", "of", " ", "simultaneity"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "4"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{
              "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(B\)]\) = \>\"", 
               "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"tbT", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], "-", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}]}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
               "\"\< seconds\>\""}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"5.0", ",", "8.1"}], "}"}]}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"axes", " ", "labels"}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<\!\(\*SubscriptBox[\(t\), \(A\)]\)\>\"", ",", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", "16"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"0.2", ",", "7.5"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<\!\(\*SubscriptBox[\(t\), \(B\)]\)\>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"xaT", "[", 
              RowBox[{"0", ",", 
               RowBox[{"7", "/", 
                RowBox[{"\[Gamma]", "[", "v", "]"}]}], ",", "v"}], "]"}], "+",
              "0.5"}], ",", "7.0"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(B\)]\)\>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"6.8", ",", 
            RowBox[{
             RowBox[{"loS", "[", 
              RowBox[{"7", ",", "0", ",", "v"}], "]"}], "+", "0.5"}]}], 
           "}"}]}], "]"}]}], "\[IndentingNewLine]", "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", "\[Rule]", 
      RowBox[{"11", "/", "7"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "7"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "500"}]}], "\[IndentingNewLine]", "]"}], 
   "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v", ",", "0.5", ",", "\"\<velocity\>\""}], "}"}], ",", "0.01", 
     ",", "0.85"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pta", ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "3"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "7"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"shw", ",", "1", ",", "\"\<Show:\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<coordinates only\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\<length contraction\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\<time dilation\>\""}], ",", 
       RowBox[{"4", "\[Rule]", "\"\<relativity of simultaneity\>\""}]}], 
      "}"}], ",", "PopupMenu"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sol", ",", "False", ",", "\"\<speed of light worldline\>\""}], 
      "}"}], ",", "Checkbox"}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input", "PluginEmbeddedContent"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pta$$ = {3, 3}, $CellContext`shw$$ = 
    1, $CellContext`sol$$ = False, $CellContext`v$$ = 0.5, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`v$$], 0.5, "velocity"}, 0.01, 0.85}, {{
       Hold[$CellContext`pta$$], {3, 3}}, {0, 0}, {7, 7}}, {{
       Hold[$CellContext`shw$$], 1, "Show:"}, {
      1 -> "coordinates only", 2 -> "length contraction", 3 -> 
       "time dilation", 4 -> "relativity of simultaneity"}}, {{
       Hold[$CellContext`sol$$], False, "speed of light worldline"}, {
      True, False}}}, Typeset`size$$ = {500., {373., 377.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`v$4066$$ = 0, $CellContext`pta$4067$$ = {0, 
    0}, $CellContext`shw$4068$$ = False, $CellContext`sol$4069$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`pta$$ = {3, 3}, $CellContext`shw$$ = 
        1, $CellContext`sol$$ = False, $CellContext`v$$ = 0.5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`v$$, $CellContext`v$4066$$, 0], 
        Hold[$CellContext`pta$$, $CellContext`pta$4067$$, {0, 0}], 
        Hold[$CellContext`shw$$, $CellContext`shw$4068$$, False], 
        Hold[$CellContext`sol$$, $CellContext`sol$4069$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        Evaluate[
         Flatten[{
           $CellContext`loL[$CellContext`xa, 0, $CellContext`v$$], 
           $CellContext`loS[$CellContext`xa, 0, $CellContext`v$$], 
           Table[
            $CellContext`loL[$CellContext`xa, $CellContext`xb, \
$CellContext`v$$], {$CellContext`xb, -20, 20, 1}], 
           Table[
            $CellContext`loS[$CellContext`xa, $CellContext`xb, \
$CellContext`v$$], {$CellContext`xb, -20, 20, 1}]}]], {$CellContext`xa, 0, 7},
         PlotStyle -> Table[
          Directive[
           Darker[Green], 
           If[$CellContext`n <= 2, Thick, 
            Thickness[0.0001]], 
           If[$CellContext`n <= 2, 
            Dashing[{}], Dotted]], {$CellContext`n, 84}], GridLines -> {
          Range[7], 
          Range[7]}, GridLinesStyle -> Directive[Blue, Thin, Dotted], 
        AxesStyle -> Directive[Blue, Thick], 
        AxesLabel -> {"\!\(\*SubscriptBox[\(x\), \(A\)]\)"}, Ticks -> {
          Range[7], 
          Range[7]}, LabelStyle -> 16, Epilog -> {
          Table[{
            Text[
             Style[$CellContext`n, {
               Darker[Green], 16}], {$CellContext`xaT[
               0, $CellContext`n, $CellContext`v$$] + 0.2, 
              $CellContext`taT[0, $CellContext`n, $CellContext`v$$]}], 
            Darker[Green], 
            Dashing[{}], 
            Line[{{
               $CellContext`xaT[-0.08, $CellContext`n, $CellContext`v$$], 
               $CellContext`taT[-0.08, $CellContext`n, $CellContext`v$$]}, {
               $CellContext`xaT[
                Plus[0.08], $CellContext`n, $CellContext`v$$], 
               $CellContext`taT[
                Plus[
                0.08], $CellContext`n, $CellContext`v$$]}}]}, {$CellContext`n,
             1, 7}], 
          Table[{
            Text[
             Style[$CellContext`n, {
               Darker[Green], 16}], {
              $CellContext`xaT[$CellContext`n, 
               0, $CellContext`v$$], $CellContext`taT[$CellContext`n, 
                0, $CellContext`v$$] + 0.2}], 
            Darker[Green], 
            Dashing[{}], 
            Line[{{
               $CellContext`xaT[$CellContext`n, -0.08, $CellContext`v$$], 
               $CellContext`taT[$CellContext`n, -0.08, $CellContext`v$$]}, {
               $CellContext`xaT[$CellContext`n, 
                Plus[0.08], $CellContext`v$$], 
               $CellContext`taT[$CellContext`n, 
                Plus[0.08], $CellContext`v$$]}}]}, {$CellContext`n, 1, 7}], 
          If[$CellContext`sol$$, {
            Darker[Red], 
            Line[{{0, 0}, {7, 7}}], 
            Text[
             Style["c", {
               Darker[Red], Bold, 18}], {6.85, 6.65}]}], Blue, Dashed, 
          Line[{$CellContext`pta$$, {
             Part[$CellContext`pta$$, 1], 0}}], 
          Line[{$CellContext`pta$$, {0, 
             Part[$CellContext`pta$$, 2]}}], 
          Darker[Green], Dashed, 
          Line[{$CellContext`pta$$, {
             $CellContext`xaT[
              $CellContext`xbT[
               Part[$CellContext`pta$$, 1], 
               Part[$CellContext`pta$$, 2], $CellContext`v$$], 
              0, $CellContext`v$$], 
             $CellContext`taT[
              $CellContext`xbT[
               Part[$CellContext`pta$$, 1], 
               Part[$CellContext`pta$$, 2], $CellContext`v$$], 
              0, $CellContext`v$$]}}], 
          PointSize[0.015], 
          Point[{
            $CellContext`xaT[
             $CellContext`xbT[
              Part[$CellContext`pta$$, 1], 
              Part[$CellContext`pta$$, 2], $CellContext`v$$], 
             0, $CellContext`v$$], 
            $CellContext`taT[
             $CellContext`xbT[
              Part[$CellContext`pta$$, 1], 
              Part[$CellContext`pta$$, 2], $CellContext`v$$], 
             0, $CellContext`v$$]}], 
          Line[{$CellContext`pta$$, {
             $CellContext`xaT[0, 
              $CellContext`tbT[
               Part[$CellContext`pta$$, 1], 
               
               Part[$CellContext`pta$$, 
                2], $CellContext`v$$], $CellContext`v$$], 
             $CellContext`taT[0, 
              $CellContext`tbT[
               Part[$CellContext`pta$$, 1], 
               
               Part[$CellContext`pta$$, 
                2], $CellContext`v$$], $CellContext`v$$]}}], 
          PointSize[0.015], 
          Point[{
            $CellContext`xaT[0, 
             $CellContext`tbT[
              Part[$CellContext`pta$$, 1], 
              
              Part[$CellContext`pta$$, 
               2], $CellContext`v$$], $CellContext`v$$], 
            $CellContext`taT[0, 
             $CellContext`tbT[
              Part[$CellContext`pta$$, 1], 
              
              Part[$CellContext`pta$$, 
               2], $CellContext`v$$], $CellContext`v$$]}], 
          Line[{$CellContext`pta$$, {0, 
             Part[$CellContext`pta$$, 2]}}], 
          If[$CellContext`shw$$ == 2, {
            Darker[Green], 
            Thickness[0.01], 
            Dashing[{}], 
            Line[{{0, 0}, {
               $CellContext`xaT[
                $CellContext`xbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 2], $CellContext`v$$], 
                0, $CellContext`v$$], 
               $CellContext`taT[
                $CellContext`xbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 2], $CellContext`v$$], 
                0, $CellContext`v$$]}}], Blue, 
            Line[{{0, 0.03}, {
               $CellContext`xaT[
                $CellContext`xbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 2], $CellContext`v$$], 
                0, $CellContext`v$$], 0.03}}]}], 
          If[$CellContext`shw$$ == 3, {
            Darker[Green], 
            Thickness[0.01], 
            Dashing[{}], 
            Line[{{0, 0}, {
               $CellContext`xaT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$], 
               $CellContext`taT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$]}}], Blue, 
            Line[{{0.03, 0}, {0.03, 
               $CellContext`taT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$]}}]}], 
          If[$CellContext`shw$$ == 4, {
            Darker[Green], 
            Thickness[0.006], Dashed, 
            Line[{$CellContext`pta$$, {
               $CellContext`xaT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$], 
               $CellContext`taT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$]}}], 
            Line[{{0, 
               Part[$CellContext`pta$$, 2]}, {
               $CellContext`xaT[0, 
                $CellContext`tbT[0, 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$], 
               $CellContext`taT[0, 
                $CellContext`tbT[0, 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$]}}], 
            Thickness[0.01], 
            Dashing[{}], 
            Line[{{
               $CellContext`xaT[0, 
                $CellContext`tbT[0, 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$], 
               $CellContext`taT[0, 
                $CellContext`tbT[0, 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$]}, {
               $CellContext`xaT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$], 
               $CellContext`taT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$]}}], Blue, 
            Thickness[0.01], 
            Dashing[{}], 
            Line[{$CellContext`pta$$, {0, 
               Part[$CellContext`pta$$, 2]}}]}], 
          Opacity[1], White, 
          Rectangle[{-0.5, 7.2}, {7.5, 10.2}], 
          Text[
           Style["Lorentz Transformation", {Black, 24}], {3.5, 9.8}], 
          EdgeForm[
           Directive[Thick, Blue]], 
          Rectangle[{0, 7.8}, {3.4, 9.5}], 
          Opacity[0.2], Blue, 
          Rectangle[{0, 9.1}, {3.4, 9.5}], 
          Opacity[1], White, 
          Text[
           Style["Static FoR", {Blue, Bold, 18}], {1.7, 9.3}], 
          Text[
           Style[
            StringJoin["\!\(\*SubscriptBox[\(x\), \(A\)]\) = ", 
             ToString[
              NumberForm[
               Part[$CellContext`pta$$, 1], {3, 2}]], " light seconds"], {
            Blue, 16}], {1.7, 8.8}], 
          Text[
           Style[
            StringJoin["\!\(\*SubscriptBox[\(t\), \(A\)]\) = ", 
             ToString[
              NumberForm[
               Part[$CellContext`pta$$, 2], {3, 2}]], " seconds"], {
            Blue, 16}], {1.5, 8.5}], 
          If[$CellContext`shw$$ == 2, 
           Text[
            Style[
             StringJoin["\!\(\*SubscriptBox[\(l\), \(A\)]\) = ", 
              ToString[
               NumberForm[
                $CellContext`xaT[
                 $CellContext`xbT[
                  Part[$CellContext`pta$$, 1], 
                  Part[$CellContext`pta$$, 2], $CellContext`v$$], 
                 0, $CellContext`v$$], {3, 2}]], " light seconds"], {
             Blue, 16}], {1.74, 8.1}]], 
          If[$CellContext`shw$$ == 3, 
           Text[
            Style[
             StringJoin[
             "\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(A\)]\) = ", 
              ToString[
               NumberForm[
                $CellContext`taT[0, 
                 $CellContext`tbT[
                  Part[$CellContext`pta$$, 1], 
                  
                  Part[$CellContext`pta$$, 
                   2], $CellContext`v$$], $CellContext`v$$], {3, 2}]], 
              " seconds"], {Blue, 16}], {1.5, 8.1}]], 
          If[$CellContext`shw$$ == 4, 
           Text[
            Style[
             StringJoin[
             "\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(A\)]\) = ", 
              ToString[
               NumberForm[0, {3, 2}]], " seconds"], {Blue, 16}], {1.5, 8.1}]], 
          EdgeForm[
           Directive[Thick, 
            Darker[Green]]], 
          Rectangle[{3.5, 7.8}, {6.9, 9.5}], 
          Opacity[0.2], 
          Darker[Green], 
          Rectangle[{3.5, 9.1}, {6.9, 9.5}], 
          Opacity[1], White, 
          Text[
           Style[
            StringJoin["Moving FoR v = ", 
             ToString[
              NumberForm[$CellContext`v$$, {3, 2}]], " c"], {
             Darker[Green], Bold, 18}], {5.2, 9.3}], 
          Text[
           Style[
            StringJoin["\!\(\*SubscriptBox[\(x\), \(B\)]\) = ", 
             ToString[
              NumberForm[
               $CellContext`xbT[
                Part[$CellContext`pta$$, 1], 
                Part[$CellContext`pta$$, 2], $CellContext`v$$], {3, 2}]], 
             " light seconds"], {
             Darker[Green], 16}], {5.2, 8.8}], 
          Text[
           Style[
            StringJoin["\!\(\*SubscriptBox[\(t\), \(B\)]\) = ", 
             ToString[
              NumberForm[
               $CellContext`tbT[
                Part[$CellContext`pta$$, 1], 
                Part[$CellContext`pta$$, 2], $CellContext`v$$], {3, 2}]], 
             " seconds"], {
             Darker[Green], 16}], {5, 8.5}], 
          If[$CellContext`shw$$ == 2, 
           Text[
            Style[
             StringJoin["\!\(\*SubscriptBox[\(l\), \(B\)]\) = ", 
              ToString[
               NumberForm[
                $CellContext`xbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 2], $CellContext`v$$], {3, 2}]], 
              " light seconds"], {
              Darker[Green], 16}], {5.24, 8.1}]], 
          If[$CellContext`shw$$ == 3, 
           Text[
            Style[
             StringJoin[
             "\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(B\)]\) = ", 
              ToString[
               NumberForm[
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 2], $CellContext`v$$], {3, 2}]], 
              " seconds"], {
              Darker[Green], 16}], {5., 8.1}]], 
          If[$CellContext`shw$$ == 4, 
           Text[
            Style[
             StringJoin[
             "\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(B\)]\) = ", 
              ToString[
               NumberForm[$CellContext`tbT[0, 
                  
                  Part[$CellContext`pta$$, 
                   2], $CellContext`v$$] - $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 2], $CellContext`v$$], {3, 2}]], 
              " seconds"], {
              Darker[Green], 16}], {5., 8.1}]], 
          Text[
           Style["\!\(\*SubscriptBox[\(t\), \(A\)]\)", {Blue, 16}], {0.2, 
           7.5}], 
          Text[
           Style["\!\(\*SubscriptBox[\(t\), \(B\)]\)", {
             Darker[Green], 16}], {$CellContext`xaT[
             0, 7/$CellContext`\[Gamma][$CellContext`v$$], $CellContext`v$$] + 
            0.5, 7.}], 
          Text[
           Style["\!\(\*SubscriptBox[\(x\), \(B\)]\)", {
             Darker[Green], 16}], {
           6.8, $CellContext`loS[7, 0, $CellContext`v$$] + 0.5}]}, 
        AspectRatio -> 11/7, PlotRange -> {{0, 7}, {0, 10}}, ImageSize -> 
        500], "Specifications" :> {{{$CellContext`v$$, 0.5, "velocity"}, 0.01,
          0.85}, {{$CellContext`pta$$, {3, 3}}, {0, 0}, {7, 7}, ControlType -> 
         Locator}, {{$CellContext`shw$$, 1, "Show:"}, {
         1 -> "coordinates only", 2 -> "length contraction", 3 -> 
          "time dilation", 4 -> "relativity of simultaneity"}, ControlType -> 
         PopupMenu}, {{$CellContext`sol$$, False, 
          "speed of light worldline"}, {True, False}, ControlType -> 
         Checkbox}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{557., {446., 451.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`loL[
         Pattern[$CellContext`xa, 
          Blank[]], 
         Pattern[$CellContext`xb, 
          Blank[]], 
         Pattern[$CellContext`v, 
          
          Blank[]]] := $CellContext`xa/$CellContext`v - \
$CellContext`xb/($CellContext`\[Gamma][$CellContext`v] $CellContext`v), \
$CellContext`\[Gamma][
         Pattern[$CellContext`v, 
          Blank[]]] := 1/Sqrt[1 - $CellContext`v^2/1], $CellContext`loS[
         Pattern[$CellContext`xa, 
          Blank[]], 
         Pattern[$CellContext`tb, 
          Blank[]], 
         Pattern[$CellContext`v, 
          
          Blank[]]] := $CellContext`tb/$CellContext`\[Gamma][$CellContext`v] + \
($CellContext`v/1^2) $CellContext`xa, $CellContext`xaT[
         Pattern[$CellContext`xb, 
          Blank[]], 
         Pattern[$CellContext`tb, 
          Blank[]], 
         Pattern[$CellContext`v, 
          
          Blank[]]] := $CellContext`\[Gamma][$CellContext`v] ($CellContext`xb + \
$CellContext`v $CellContext`tb), $CellContext`taT[
         Pattern[$CellContext`xb, 
          Blank[]], 
         Pattern[$CellContext`tb, 
          Blank[]], 
         Pattern[$CellContext`v, 
          
          Blank[]]] := $CellContext`\[Gamma][$CellContext`v] ($CellContext`tb + \
$CellContext`v $CellContext`xb), $CellContext`xbT[
         Pattern[$CellContext`xa, 
          Blank[]], 
         Pattern[$CellContext`ta, 
          Blank[]], 
         Pattern[$CellContext`v, 
          
          Blank[]]] := $CellContext`\[Gamma][$CellContext`v] ($CellContext`xa - \
$CellContext`v $CellContext`ta), $CellContext`tbT[
         Pattern[$CellContext`xa, 
          Blank[]], 
         Pattern[$CellContext`ta, 
          Blank[]], 
         Pattern[$CellContext`v, 
          
          Blank[]]] := $CellContext`\[Gamma][$CellContext`v] ($CellContext`ta - \
$CellContext`v $CellContext`xa)}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent"]
}, {2}]],

Cell["\<\
Tato uk\[AAcute]zka nebyla publikov\[AAcute]na na webu Demonstrations \
Project, ale nen\[IAcute] nic jednodu\[SHacek]\[SHacek]\[IAcute]ho, ne\
\[ZHacek] si ji publikovat na sv\[EAcute]m vlastn\[IAcute]m webu.\
\>", "Text", "PluginEmbeddedContent"]
}, Open  ]]
},
WindowSize->{1030., 3362.9700000000003`},
Visible->True,
AuthoredSize->{1030., 3362.9700000000003`},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"9.0 for Microsoft Windows (32-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[1485, 35, 60, 0, 61, "Title"],
Cell[CellGroupData[{
Cell[1570, 39, 42800, 1077, 2360, "Input"],
Cell[44373, 1118, 19046, 464, 899, "Output"]
}, {2}]],
Cell[63431, 1585, 258, 4, 16, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature mvprH7AqGtZAyBwgq6TI#EJw *)
