(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     73739,       1744]
NotebookOptionsPosition[     73306,       1724]
NotebookOutlinePosition[     73650,       1739]
CellTagsIndexPosition[     73607,       1736]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Uk\[AAcute]zka CDF", "Title",
 CellChangeTimes->{{3.577882257760866*^9, 3.5778823555936484`*^9}, {
   3.5778823866497536`*^9, 3.5778824845765452`*^9}, 3.577892388419835*^9, {
   3.5778924297289658`*^9, 3.5778924786388564`*^9}, {3.577892570934085*^9, 
   3.5778925732403154`*^9}, {3.577892982914844*^9, 3.5778931382087264`*^9}, {
   3.5779009571131525`*^9, 3.577900997971238*^9}, {3.577905228997919*^9, 
   3.577905297741793*^9}, {3.5887775084040565`*^9, 3.588777537910056*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"\[Gamma]", "[", "v_", "]"}], ":=", 
    FractionBox["1", 
     SqrtBox[
      RowBox[{"1", "-", 
       FractionBox[
        SuperscriptBox["v", "2"], "1"]}]]]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Lorentz", " ", "factor"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"loL", "[", 
     RowBox[{"xa_", ",", "xb_", ",", "v_"}], "]"}], ":=", 
    RowBox[{
     FractionBox["xa", "v"], "-", 
     FractionBox["xb", 
      RowBox[{
       RowBox[{"\[Gamma]", "[", "v", "]"}], " ", "v"}]]}]}], ";"}], 
  RowBox[{"(*", " ", 
   RowBox[{"Line", " ", "of", " ", "same", " ", "Location"}], " ", "*)"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"loS", "[", 
     RowBox[{"xa_", ",", "tb_", ",", "v_"}], "]"}], ":=", 
    RowBox[{
     FractionBox["tb", 
      RowBox[{"\[Gamma]", "[", "v", "]"}]], "+", 
     RowBox[{
      FractionBox["v", 
       SuperscriptBox["1", "2"]], "xa"}]}]}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Line", " ", "of", " ", "Simultaneity"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "transform", " ", "from", " ", "B", " ", "to", " ", "A", " ", "system"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xaT", "[", 
    RowBox[{"xb_", ",", "tb_", ",", "v_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Gamma]", "[", "v", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{"xb", "+", 
      RowBox[{"v", " ", "tb"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"taT", "[", 
     RowBox[{"xb_", ",", "tb_", ",", "v_"}], "]"}], ":=", 
    RowBox[{
     RowBox[{"\[Gamma]", "[", "v", "]"}], 
     RowBox[{"(", 
      RowBox[{"tb", "+", 
       RowBox[{"v", " ", "xb"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "transform", " ", "from", " ", "A", " ", "to", " ", "B", " ", "system"}], 
   " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"xbT", "[", 
    RowBox[{"xa_", ",", "ta_", ",", "v_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Gamma]", "[", "v", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{"xa", "-", 
      RowBox[{"v", " ", "ta"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tbT", "[", 
    RowBox[{"xa_", ",", "ta_", ",", "v_"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"\[Gamma]", "[", "v", "]"}], 
    RowBox[{"(", 
     RowBox[{"ta", "-", 
      RowBox[{"v", " ", "xa"}]}], ")"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Evaluate", "[", 
      RowBox[{"Flatten", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"loL", "[", 
          RowBox[{"xa", ",", "0", ",", "v"}], "]"}], ",", 
         RowBox[{"loS", "[", 
          RowBox[{"xa", ",", "0", ",", "v"}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"loL", "[", 
            RowBox[{"xa", ",", "xb", ",", "v"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"xb", ",", 
             RowBox[{"-", "20"}], ",", "20", ",", "1"}], "}"}]}], "]"}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"loS", "[", 
            RowBox[{"xa", ",", "xb", ",", "v"}], "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"xb", ",", 
             RowBox[{"-", "20"}], ",", "20", ",", "1"}], "}"}]}], "]"}]}], 
        "}"}], "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"xa", ",", "0", ",", "7"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotStyle", "\[Rule]", "\[IndentingNewLine]", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"Directive", "[", 
         RowBox[{
          RowBox[{"Darker", "[", "Green", "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"n", "\[LessEqual]", "2"}], ",", "Thick", ",", 
            RowBox[{"Thickness", "[", "0.0001", "]"}]}], "]"}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"n", "\[LessEqual]", "2"}], ",", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", "Dotted"}], "]"}]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"n", ",", "84"}], "}"}]}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"GridLines", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Range", "[", "7", "]"}], ",", 
        RowBox[{"Range", "[", "7", "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"GridLinesStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"Blue", ",", "Thin", ",", "Dotted"}], "]"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"AxesStyle", "\[Rule]", 
      RowBox[{"Directive", "[", 
       RowBox[{"Blue", ",", "Thick"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", "\"\<\!\(\*SubscriptBox[\(x\), \(A\)]\)\>\"", "}"}]}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"Ticks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Range", "[", "7", "]"}], ",", 
        RowBox[{"Range", "[", "7", "]"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"LabelStyle", "\[Rule]", "16"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{"skewed", " ", "coordinate", " ", "system"}], " ", "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"n", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}],
                "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"0", ",", "n", ",", "v"}], "]"}], "+", "0.2"}], ",", 
                RowBox[{"taT", "[", 
                 RowBox[{"0", ",", "n", ",", "v"}], "]"}]}], "}"}]}], "]"}], 
            ",", 
            RowBox[{"Darker", "[", "Green", "]"}], ",", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{
                   RowBox[{"-", "0.08"}], ",", "n", ",", "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{
                   RowBox[{"-", "0.08"}], ",", "n", ",", "v"}], "]"}]}], 
                "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{
                   RowBox[{"+", "0.08"}], ",", "n", ",", "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{
                   RowBox[{"+", "0.08"}], ",", "n", ",", "v"}], "]"}]}], 
                "}"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"n", ",", "1", ",", "7"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"n", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}],
                "]"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"xaT", "[", 
                 RowBox[{"n", ",", "0", ",", "v"}], "]"}], ",", 
                RowBox[{
                 RowBox[{"taT", "[", 
                  RowBox[{"n", ",", "0", ",", "v"}], "]"}], "+", "0.2"}]}], 
               "}"}]}], "]"}], ",", 
            RowBox[{"Darker", "[", "Green", "]"}], ",", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"n", ",", 
                   RowBox[{"-", "0.08"}], ",", "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"n", ",", 
                   RowBox[{"-", "0.08"}], ",", "v"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"n", ",", 
                   RowBox[{"+", "0.08"}], ",", "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"n", ",", 
                   RowBox[{"+", "0.08"}], ",", "v"}], "]"}]}], "}"}]}], "}"}],
              "]"}]}], "\[IndentingNewLine]", "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"n", ",", "1", ",", "7"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{"sol", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"Darker", "[", "Red", "]"}], ",", " ", 
            RowBox[{"Line", " ", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"7", ",", "7"}], "}"}]}], "}"}], "]"}], ",", 
            RowBox[{"Text", "[", 
             RowBox[{
              RowBox[{"Style", "[", 
               RowBox[{"\"\<c\>\"", ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"Darker", "[", "Red", "]"}], ",", "Bold", ",", 
                  "18"}], "}"}]}], "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"6.85", ",", "6.65"}], "}"}]}], "]"}]}], "}"}]}], 
         "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"leader", " ", "lines"}], " ", "*)"}], "\[IndentingNewLine]",
         "Blue", ",", "Dashed", ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"pta", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"pta", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ",", "0"}], "}"}]}], "}"}], 
         "]"}], ",", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"pta", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"pta", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Darker", "[", "Green", "]"}], ",", "Dashed", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"pta", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"xaT", "[", 
              RowBox[{
               RowBox[{"xbT", "[", 
                RowBox[{
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", "0",
                ",", "v"}], "]"}], ",", 
             RowBox[{"taT", "[", 
              RowBox[{
               RowBox[{"xbT", "[", 
                RowBox[{
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", "0",
                ",", "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xaT", "[", 
            RowBox[{
             RowBox[{"xbT", "[", 
              RowBox[{
               RowBox[{"pta", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"pta", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", "0", 
             ",", "v"}], "]"}], ",", 
           RowBox[{"taT", "[", 
            RowBox[{
             RowBox[{"xbT", "[", 
              RowBox[{
               RowBox[{"pta", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"pta", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", "0", 
             ",", "v"}], "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"pta", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"xaT", "[", 
              RowBox[{"0", ",", 
               RowBox[{"tbT", "[", 
                RowBox[{
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
               "v"}], "]"}], ",", 
             RowBox[{"taT", "[", 
              RowBox[{"0", ",", 
               RowBox[{"tbT", "[", 
                RowBox[{
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], ",", 
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
               "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"PointSize", "[", "0.015", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"xaT", "[", 
            RowBox[{"0", ",", 
             RowBox[{"tbT", "[", 
              RowBox[{
               RowBox[{"pta", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"pta", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", "v"}],
             "]"}], ",", 
           RowBox[{"taT", "[", 
            RowBox[{"0", ",", 
             RowBox[{"tbT", "[", 
              RowBox[{
               RowBox[{"pta", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"pta", "[", 
                RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", "v"}],
             "]"}]}], "}"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Line", "[", 
         RowBox[{"{", 
          RowBox[{"pta", ",", 
           RowBox[{"{", 
            RowBox[{"0", ",", 
             RowBox[{"pta", "[", 
              RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"length", " ", "contraction"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "2"}], ",", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Darker", "[", "Green", "]"}], ",", 
            RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{
                   RowBox[{"xbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "0", ",", "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{
                   RowBox[{"xbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "0", ",", "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", "Blue", ",", " ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0.03"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{
                   RowBox[{"xbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "0", ",", "v"}], "]"}], ",", "0.03"}], "}"}]}], "}"}], 
             "]"}]}], "\[IndentingNewLine]", "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"time", " ", "dilation"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "3"}], ",", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Darker", "[", "Green", "]"}], ",", 
            RowBox[{"Thickness", "[", "0.01", "]"}], ",", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", "Blue", ",", " ", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0.03", ",", "0"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0.03", ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}]}], "}"}]}], "}"}], "]"}]}], 
           "\[IndentingNewLine]", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"relativity", " ", "of", " ", "simultaneity"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "4"}], ",", 
          RowBox[{"{", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"Darker", "[", "Green", "]"}], ",", 
            RowBox[{"Thickness", "[", "0.006", "]"}], ",", "Dashed", ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{"pta", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"Thickness", "[", "0.01", "]"}], ",", " ", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", "\[IndentingNewLine]", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"xaT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}], ",", 
                 RowBox[{"taT", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                   "v"}], "]"}]}], "}"}]}], "}"}], "]"}], ",", 
            "\[IndentingNewLine]", "Blue", ",", " ", 
            RowBox[{"Thickness", "[", "0.01", "]"}], ",", " ", 
            RowBox[{"Dashing", "[", 
             RowBox[{"{", "}"}], "]"}], ",", 
            RowBox[{"Line", "[", 
             RowBox[{"{", 
              RowBox[{"pta", ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", 
                 RowBox[{"pta", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], "}"}], "]"}]}], 
           "\[IndentingNewLine]", "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"text", " ", "frame"}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Opacity", "[", "1", "]"}], ",", "White", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "0.5"}], ",", "7.2"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"7.5", ",", "10.2"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Lorentz Transformation\>\"", ",", 
            RowBox[{"{", 
             RowBox[{"Black", ",", "24"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"3.5", ",", "9.8"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"static", " ", "FoR", " ", "frame"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"EdgeForm", "[", 
         RowBox[{"Directive", "[", 
          RowBox[{"Thick", ",", "Blue"}], "]"}], "]"}], ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "7.8"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"3.4", ",", "9.5"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Opacity", "[", "0.2", "]"}], ",", "Blue", ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "9.1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"3.4", ",", "9.5"}], "}"}]}], "]"}], ",", 
        RowBox[{"Opacity", "[", "1", "]"}], ",", "White", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<Static FoR\>\"", ",", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", "Bold", ",", "18"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.7", ",", "9.3"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(A\)]\) = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"pta", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
             "\"\< light seconds\>\""}], ",", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", "16"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.7", ",", "8.8"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<\!\(\*SubscriptBox[\(t\), \(A\)]\) = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"pta", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
             "\"\< seconds\>\""}], ",", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", "16"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"1.5", ",", "8.5"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"length", " ", "contraction"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "2"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"\"\<\!\(\*SubscriptBox[\(l\), \(A\)]\) = \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{"xaT", "[", 
                   RowBox[{
                    RowBox[{"xbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                    "0", ",", "v"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
               "\"\< light seconds\>\""}], ",", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", "16"}], "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"1.74", ",", "8.1"}], "}"}]}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"time", " ", "dilation"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "3"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{
              "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(A\)]\) = \>\"", 
               "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{"taT", "[", 
                   RowBox[{"0", ",", 
                    RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                    "v"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
               "\"\< seconds\>\""}], ",", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", "16"}], "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"1.5", ",", "8.1"}], "}"}]}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"relativity", " ", "of", " ", "simultaneity"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "4"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{
              "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(A\)]\) = \>\"", 
               "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{"0", ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
               "\"\< seconds\>\""}], ",", 
              RowBox[{"{", 
               RowBox[{"Blue", ",", "16"}], "}"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"1.5", ",", "8.1"}], "}"}]}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"moving", " ", "FoR", " ", "frame"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"EdgeForm", "[", 
         RowBox[{"Directive", "[", 
          RowBox[{"Thick", ",", 
           RowBox[{"Darker", "[", "Green", "]"}]}], "]"}], "]"}], ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"3.5", ",", "7.8"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"6.9", ",", "9.5"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Opacity", "[", "0.2", "]"}], ",", 
        RowBox[{"Darker", "[", "Green", "]"}], ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"3.5", ",", "9.1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"6.9", ",", "9.5"}], "}"}]}], "]"}], ",", 
        RowBox[{"Opacity", "[", "1", "]"}], ",", "White", ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<Moving FoR v = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"NumberForm", "[", 
               RowBox[{"v", ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
             "\"\< c\>\""}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Darker", "[", "Green", "]"}], ",", "Bold", ",", "18"}],
              "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"5.2", ",", "9.3"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(B\)]\) = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"xbT", "[", 
                 RowBox[{
                  RowBox[{"pta", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"pta", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
             "\"\< light seconds\>\""}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"5.2", ",", "8.8"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{
            RowBox[{"\"\<\!\(\*SubscriptBox[\(t\), \(B\)]\) = \>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"NumberForm", "[", 
               RowBox[{
                RowBox[{"tbT", "[", 
                 RowBox[{
                  RowBox[{"pta", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], ",", 
                  RowBox[{"pta", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                RowBox[{"{", 
                 RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
             "\"\< seconds\>\""}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"5", ",", "8.5"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"length", " ", "contraction"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "2"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{"\"\<\!\(\*SubscriptBox[\(l\), \(B\)]\) = \>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{"xbT", "[", 
                   RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
               "\"\< light seconds\>\""}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"5.24", ",", "8.1"}], "}"}]}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"time", " ", "dilation"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "3"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{
              "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(B\)]\) = \>\"", 
               "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{"tbT", "[", 
                   RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
               "\"\< seconds\>\""}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"5.0", ",", "8.1"}], "}"}]}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"relativity", " ", "of", " ", "simultaneity"}], " ", "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"shw", "\[Equal]", "4"}], ",", 
          RowBox[{"Text", "[", 
           RowBox[{
            RowBox[{"Style", "[", 
             RowBox[{
              RowBox[{
              "\"\<\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(B\)]\) = \>\"", 
               "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"NumberForm", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"tbT", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}], "-", 
                   RowBox[{"tbT", "[", 
                    RowBox[{
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"pta", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", "v"}], "]"}]}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{"{", 
                   RowBox[{"3", ",", "2"}], "}"}]}], "]"}], "]"}], "<>", 
               "\"\< seconds\>\""}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
             "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"5.0", ",", "8.1"}], "}"}]}], "]"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", " ", 
         RowBox[{"axes", " ", "labels"}], " ", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<\!\(\*SubscriptBox[\(t\), \(A\)]\)\>\"", ",", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", "16"}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"0.2", ",", "7.5"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<\!\(\*SubscriptBox[\(t\), \(B\)]\)\>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             RowBox[{"xaT", "[", 
              RowBox[{"0", ",", 
               RowBox[{"7", "/", 
                RowBox[{"\[Gamma]", "[", "v", "]"}]}], ",", "v"}], "]"}], "+",
              "0.5"}], ",", "7.0"}], "}"}]}], "]"}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{
          RowBox[{"Style", "[", 
           RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(B\)]\)\>\"", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Darker", "[", "Green", "]"}], ",", "16"}], "}"}]}], 
           "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"6.8", ",", 
            RowBox[{
             RowBox[{"loS", "[", 
              RowBox[{"7", ",", "0", ",", "v"}], "]"}], "+", "0.5"}]}], 
           "}"}]}], "]"}]}], "\[IndentingNewLine]", "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"AspectRatio", "\[Rule]", 
      RowBox[{"11", "/", "7"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "7"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "10"}], "}"}]}], "}"}]}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "500"}]}], "\[IndentingNewLine]", "]"}], 
   "\[IndentingNewLine]", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v", ",", "0.5", ",", "\"\<velocity\>\""}], "}"}], ",", "0.01", 
     ",", "0.85"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"pta", ",", 
       RowBox[{"{", 
        RowBox[{"3", ",", "3"}], "}"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "7"}], "}"}], ",", "Locator"}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"shw", ",", "1", ",", "\"\<Show:\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "\"\<coordinates only\>\""}], ",", 
       RowBox[{"2", "\[Rule]", "\"\<length contraction\>\""}], ",", 
       RowBox[{"3", "\[Rule]", "\"\<time dilation\>\""}], ",", 
       RowBox[{"4", "\[Rule]", "\"\<relativity of simultaneity\>\""}]}], 
      "}"}], ",", "PopupMenu"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sol", ",", "False", ",", "\"\<speed of light worldline\>\""}], 
      "}"}], ",", "Checkbox"}], "}"}], ",", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
  "]"}]}], "Input",
 CellChangeTimes->{{3.577882493202408*^9, 3.5778826463847246`*^9}, {
   3.577882680163102*^9, 3.5778827417262573`*^9}, {3.577882877251809*^9, 
   3.577882926513735*^9}, {3.577882976122695*^9, 3.577883070630145*^9}, {
   3.5778831166807494`*^9, 3.5778832247135515`*^9}, {3.57788325609969*^9, 
   3.5778832645695367`*^9}, {3.5778834320712852`*^9, 
   3.5778834369417725`*^9}, {3.5778834918812656`*^9, 3.577883550269104*^9}, {
   3.577883590355112*^9, 3.577883628426919*^9}, {3.577883694292505*^9, 
   3.577883702908366*^9}, {3.5778840311641884`*^9, 3.577884049041976*^9}, {
   3.577884080215093*^9, 3.5778842861776876`*^9}, 3.5778843873418026`*^9, {
   3.577884498566924*^9, 3.577884511086176*^9}, {3.577884689733039*^9, 
   3.5778848404811125`*^9}, {3.5778848765777216`*^9, 3.577884931692232*^9}, {
   3.5778898452265415`*^9, 3.5778898645374727`*^9}, 3.5778898982438426`*^9, {
   3.577889990761093*^9, 3.5778900195409713`*^9}, {3.577890064502467*^9, 
   3.577890208109826*^9}, {3.5778904484468575`*^9, 3.577890556243636*^9}, {
   3.5778907259456043`*^9, 3.5778907662056303`*^9}, {3.577890820891098*^9, 
   3.5778909001320214`*^9}, 3.57789095622363*^9, {3.577891073962403*^9, 
   3.577891125167523*^9}, {3.577891183153321*^9, 3.5778912870577097`*^9}, {
   3.5778913190749116`*^9, 3.5778913695769615`*^9}, {3.5778914024692497`*^9, 
   3.5778914112471275`*^9}, {3.577891444902493*^9, 3.577891449055908*^9}, {
   3.577891586307632*^9, 3.5778916101160126`*^9}, {3.5778916412871294`*^9, 
   3.577891668004801*^9}, {3.5778917626072607`*^9, 3.5778918108940887`*^9}, {
   3.5778918865396523`*^9, 3.5778919007350717`*^9}, {3.577892229041899*^9, 
   3.577892290789073*^9}, {3.577892335913585*^9, 3.5778923485478487`*^9}, {
   3.5778931507854457`*^9, 3.577893233442173*^9}, {3.577893282359971*^9, 
   3.5778933340469275`*^9}, {3.5778933843618054`*^9, 
   3.5778935138962145`*^9}, {3.577893559552826*^9, 3.5778936149359937`*^9}, {
   3.5778936692320995`*^9, 3.577893894069959*^9}, {3.577893951058219*^9, 
   3.5778940605044785`*^9}, {3.577894105499052*^9, 3.5778941650064554`*^9}, {
   3.5778943025433226`*^9, 3.577894373696392*^9}, {3.5778946824010487`*^9, 
   3.577894699585032*^9}, {3.5778947389422827`*^9, 3.577894740065347*^9}, {
   3.5778947995327487`*^9, 3.577894996716027*^9}, {3.5778950302299433`*^9, 
   3.5778950356822557`*^9}, 3.5778950662220025`*^9, {3.5778951054452457`*^9, 
   3.577895118663002*^9}, {3.577895189164034*^9, 3.577895201524741*^9}, {
   3.5778953958898582`*^9, 3.577895563792915*^9}, {3.5778956710689745`*^9, 
   3.57789572293099*^9}, {3.5778957693227224`*^9, 3.577895869202784*^9}, {
   3.5778959156692877`*^9, 3.577896041341196*^9}, {3.5778960871312275`*^9, 
   3.577896233576604*^9}, {3.577896270516682*^9, 3.577896366654515*^9}, {
   3.5778963995133696`*^9, 3.577896429777664*^9}, {3.577896483971083*^9, 
   3.57789661565425*^9}, {3.5778966602057047`*^9, 3.577896788875571*^9}, {
   3.5778968309377766`*^9, 3.5778968593456173`*^9}, {3.57789690048073*^9, 
   3.5778970776724477`*^9}, {3.5778971805247316`*^9, 
   3.5778972435420327`*^9}, {3.577897319709649*^9, 3.577897414812158*^9}, {
   3.577897472417918*^9, 3.577897533071983*^9}, {3.577897589515627*^9, 
   3.577897675309205*^9}, {3.577897710932767*^9, 3.5778977183335075`*^9}, {
   3.5778977582785015`*^9, 3.5778977594796214`*^9}, {3.5778977896856413`*^9, 
   3.5778978476104336`*^9}, {3.5778979360255647`*^9, 
   3.5778979914935646`*^9}, {3.5778982926465645`*^9, 3.5778984109885645`*^9}, 
   3.5778984959135647`*^9, 3.5778985740975647`*^9, 3.5778986128205643`*^9, {
   3.5778986712195644`*^9, 3.5778988687965646`*^9}, {3.5778989396815643`*^9, 
   3.5778989409615645`*^9}, {3.5778990568965645`*^9, 3.577899059041565*^9}, {
   3.5778991377433133`*^9, 3.5778993265968246`*^9}, {3.5778994058335323`*^9, 
   3.5778994169917636`*^9}, {3.5778994488881416`*^9, 3.577899480383439*^9}, {
   3.577899538568074*^9, 3.5778997581692705`*^9}, {3.5778998275992126`*^9, 
   3.5778998419386463`*^9}, {3.5779000824706974`*^9, 3.577900293657814*^9}, {
   3.577900329508399*^9, 3.5779003438308306`*^9}, {3.5779004076042075`*^9, 
   3.577900508825329*^9}, {3.577900557396185*^9, 3.5779005764840937`*^9}, {
   3.5779006664880934`*^9, 3.577900683367781*^9}, {3.577900715486993*^9, 
   3.5779007990623493`*^9}, {3.5779008302944727`*^9, 
   3.5779008338088236`*^9}, {3.5779008912035627`*^9, 3.577900892416684*^9}, {
   3.577901011781619*^9, 3.5779010382952704`*^9}, {3.5779014429897356`*^9, 
   3.577901559304366*^9}, {3.577901596038039*^9, 3.5779016893333673`*^9}, {
   3.577901812748708*^9, 3.577901835645997*^9}, {3.5779019271951513`*^9, 
   3.577901957622194*^9}, {3.5779020110995407`*^9, 3.5779020386322937`*^9}, {
   3.577902083817812*^9, 3.577902086404071*^9}, 3.577902172776707*^9, {
   3.577902211379567*^9, 3.57790223691112*^9}, {3.5779023327357016`*^9, 
   3.5779023503084583`*^9}, {3.5779025989313183`*^9, 
   3.5779026322656517`*^9}, {3.5779026783512597`*^9, 3.577902737778537*^9}, {
   3.5779028754665365`*^9, 3.577902884076537*^9}, {3.5779030645095367`*^9, 
   3.577903073729537*^9}, {3.5779031046875367`*^9, 3.5779031586055365`*^9}, {
   3.577903320862537*^9, 3.577903372988537*^9}, {3.5779034469195366`*^9, 
   3.577903455031537*^9}, {3.5779035008795366`*^9, 3.577903620415537*^9}, {
   3.577903652696537*^9, 3.5779037022285366`*^9}, 3.577903743475537*^9, {
   3.5779037737465367`*^9, 3.5779037788655367`*^9}, {3.5779038172945366`*^9, 
   3.5779038212235365`*^9}, {3.5779038690985365`*^9, 3.577903960401537*^9}, 
   3.5779042026862984`*^9, {3.5779043205360823`*^9, 3.5779043553995686`*^9}, {
   3.577904444713499*^9, 3.5779044484028673`*^9}, {3.5779045046954966`*^9, 
   3.577904531207147*^9}, {3.577905338925911*^9, 3.577905412789297*^9}, {
   3.577905468899907*^9, 3.577905562376254*^9}, {3.5779057035293674`*^9, 
   3.5779057901740313`*^9}, 3.57790582796381*^9, {3.577905901528166*^9, 
   3.57790595377739*^9}, {3.577905984341446*^9, 3.5779059944234543`*^9}, {
   3.5779062036223717`*^9, 3.577906293673376*^9}, {3.577906363556603*^9, 
   3.5779064178664627`*^9}, {3.5779064657540383`*^9, 
   3.5779064920062876`*^9}, {3.577966681567666*^9, 3.577966727128666*^9}, {
   3.577966757970666*^9, 3.577966949267251*^9}, {3.577966986748726*^9, 
   3.577967051340458*^9}, 3.5779670941621356`*^9, {3.5779679461507516`*^9, 
   3.5779679974518814`*^9}, {3.577968044624598*^9, 3.5779680778909245`*^9}, {
   3.577968807681896*^9, 3.5779688403571634`*^9}, {3.577968885319659*^9, 
   3.577968893376465*^9}, 3.5779691349856234`*^9, 3.577969258507974*^9, {
   3.577969298253948*^9, 3.5779693030164247`*^9}, 3.577969352223345*^9, {
   3.5779694441995416`*^9, 3.5779694600491266`*^9}, {3.577969680387158*^9, 
   3.5779697819053087`*^9}, {3.5779698931264296`*^9, 
   3.5779698970728245`*^9}, {3.5779699358417006`*^9, 3.577969950782195*^9}, 
   3.577969988788995*^9, {3.5779700311412296`*^9, 3.5779700347795935`*^9}, {
   3.5779701928634005`*^9, 3.577970214253539*^9}, {3.5779704287859907`*^9, 
   3.5779704686656866`*^9}, {3.577970519470924*^9, 3.5779705527439027`*^9}, {
   3.577970676184924*^9, 3.577970685265647*^9}, {3.577970735759791*^9, 
   3.5779707438892293`*^9}, {3.5779708147495737`*^9, 
   3.5779708330364017`*^9}, {3.577970869174015*^9, 3.577970905158613*^9}, {
   3.5779709959106874`*^9, 3.577970997171814*^9}, {3.577971027204817*^9, 
   3.5779710318312798`*^9}, {3.5779710853936353`*^9, 
   3.5779710982699223`*^9}, {3.577971137509846*^9, 3.57797121125922*^9}, {
   3.577977255772607*^9, 3.577977432085236*^9}, {3.5779776375677824`*^9, 
   3.577977677460771*^9}, {3.577978640379053*^9, 3.577978675725588*^9}, {
   3.577978711845199*^9, 3.577978737262741*^9}, {3.5779787689909134`*^9, 
   3.57797879295931*^9}, {3.5779788266616797`*^9, 3.5779788307390876`*^9}, {
   3.5779790160576177`*^9, 3.5779790670737185`*^9}, 3.5779791090699177`*^9, {
   3.5779791775257626`*^9, 3.57797925380539*^9}, {3.577979298020811*^9, 
   3.577979311760185*^9}, {3.5779793436293716`*^9, 3.577979401209129*^9}, {
   3.5779794328062882`*^9, 3.5779794388658943`*^9}, {3.57797948452846*^9, 
   3.5779795390609126`*^9}, {3.5779795888518915`*^9, 
   3.5779795936173677`*^9}, {3.577979660538059*^9, 3.577979692284233*^9}, {
   3.577979878106814*^9, 3.577979951391142*^9}, 3.5779800143254347`*^9, 
   3.5779800541124125`*^9, 3.5779801915191517`*^9, {3.5779802299349933`*^9, 
   3.577980260298029*^9}, {3.5779803853225307`*^9, 3.5779804515421515`*^9}, {
   3.5779807543924336`*^9, 3.5779807799529896`*^9}, {3.5779808104750414`*^9, 
   3.577981048800872*^9}, {3.5779812518211718`*^9, 3.5779812562285585`*^9}, {
   3.5779813500385585`*^9, 3.5779813921785583`*^9}, {3.577981457194558*^9, 
   3.5779814633145585`*^9}, {3.577981577722763*^9, 3.5779816080907993`*^9}, 
   3.5779816442664165`*^9, 3.5779833016641397`*^9, {3.5887715946586075`*^9, 
   3.5887716018073225`*^9}, {3.5887775135110564`*^9, 3.5887775159400563`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`pta$$ = {3, 3}, $CellContext`shw$$ = 
    1, $CellContext`sol$$ = False, $CellContext`v$$ = 0.5, Typeset`show$$ = 
    True, Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`v$$], 0.5, "velocity"}, 0.01, 0.85}, {{
       Hold[$CellContext`pta$$], {3, 3}}, {0, 0}, {7, 7}}, {{
       Hold[$CellContext`shw$$], 1, "Show:"}, {
      1 -> "coordinates only", 2 -> "length contraction", 3 -> 
       "time dilation", 4 -> "relativity of simultaneity"}}, {{
       Hold[$CellContext`sol$$], False, "speed of light worldline"}, {
      True, False}}}, Typeset`size$$ = {500., {373., 377.}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`v$4066$$ = 0, $CellContext`pta$4067$$ = {0, 
    0}, $CellContext`shw$4068$$ = False, $CellContext`sol$4069$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`pta$$ = {3, 3}, $CellContext`shw$$ = 
        1, $CellContext`sol$$ = False, $CellContext`v$$ = 0.5}, 
      "ControllerVariables" :> {
        Hold[$CellContext`v$$, $CellContext`v$4066$$, 0], 
        Hold[$CellContext`pta$$, $CellContext`pta$4067$$, {0, 0}], 
        Hold[$CellContext`shw$$, $CellContext`shw$4068$$, False], 
        Hold[$CellContext`sol$$, $CellContext`sol$4069$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Plot[
        Evaluate[
         Flatten[{
           $CellContext`loL[$CellContext`xa, 0, $CellContext`v$$], 
           $CellContext`loS[$CellContext`xa, 0, $CellContext`v$$], 
           Table[
            $CellContext`loL[$CellContext`xa, $CellContext`xb, \
$CellContext`v$$], {$CellContext`xb, -20, 20, 1}], 
           Table[
            $CellContext`loS[$CellContext`xa, $CellContext`xb, \
$CellContext`v$$], {$CellContext`xb, -20, 20, 1}]}]], {$CellContext`xa, 0, 7},
         PlotStyle -> Table[
          Directive[
           Darker[Green], 
           If[$CellContext`n <= 2, Thick, 
            Thickness[0.0001]], 
           If[$CellContext`n <= 2, 
            Dashing[{}], Dotted]], {$CellContext`n, 84}], GridLines -> {
          Range[7], 
          Range[7]}, GridLinesStyle -> Directive[Blue, Thin, Dotted], 
        AxesStyle -> Directive[Blue, Thick], 
        AxesLabel -> {"\!\(\*SubscriptBox[\(x\), \(A\)]\)"}, Ticks -> {
          Range[7], 
          Range[7]}, LabelStyle -> 16, Epilog -> {
          Table[{
            Text[
             Style[$CellContext`n, {
               Darker[Green], 16}], {$CellContext`xaT[
               0, $CellContext`n, $CellContext`v$$] + 0.2, 
              $CellContext`taT[0, $CellContext`n, $CellContext`v$$]}], 
            Darker[Green], 
            Dashing[{}], 
            Line[{{
               $CellContext`xaT[-0.08, $CellContext`n, $CellContext`v$$], 
               $CellContext`taT[-0.08, $CellContext`n, $CellContext`v$$]}, {
               $CellContext`xaT[
                Plus[0.08], $CellContext`n, $CellContext`v$$], 
               $CellContext`taT[
                Plus[
                0.08], $CellContext`n, $CellContext`v$$]}}]}, {$CellContext`n,
             1, 7}], 
          Table[{
            Text[
             Style[$CellContext`n, {
               Darker[Green], 16}], {
              $CellContext`xaT[$CellContext`n, 
               0, $CellContext`v$$], $CellContext`taT[$CellContext`n, 
                0, $CellContext`v$$] + 0.2}], 
            Darker[Green], 
            Dashing[{}], 
            Line[{{
               $CellContext`xaT[$CellContext`n, -0.08, $CellContext`v$$], 
               $CellContext`taT[$CellContext`n, -0.08, $CellContext`v$$]}, {
               $CellContext`xaT[$CellContext`n, 
                Plus[0.08], $CellContext`v$$], 
               $CellContext`taT[$CellContext`n, 
                Plus[0.08], $CellContext`v$$]}}]}, {$CellContext`n, 1, 7}], 
          If[$CellContext`sol$$, {
            Darker[Red], 
            Line[{{0, 0}, {7, 7}}], 
            Text[
             Style["c", {
               Darker[Red], Bold, 18}], {6.85, 6.65}]}], Blue, Dashed, 
          Line[{$CellContext`pta$$, {
             Part[$CellContext`pta$$, 1], 0}}], 
          Line[{$CellContext`pta$$, {0, 
             Part[$CellContext`pta$$, 2]}}], 
          Darker[Green], Dashed, 
          Line[{$CellContext`pta$$, {
             $CellContext`xaT[
              $CellContext`xbT[
               Part[$CellContext`pta$$, 1], 
               Part[$CellContext`pta$$, 2], $CellContext`v$$], 
              0, $CellContext`v$$], 
             $CellContext`taT[
              $CellContext`xbT[
               Part[$CellContext`pta$$, 1], 
               Part[$CellContext`pta$$, 2], $CellContext`v$$], 
              0, $CellContext`v$$]}}], 
          PointSize[0.015], 
          Point[{
            $CellContext`xaT[
             $CellContext`xbT[
              Part[$CellContext`pta$$, 1], 
              Part[$CellContext`pta$$, 2], $CellContext`v$$], 
             0, $CellContext`v$$], 
            $CellContext`taT[
             $CellContext`xbT[
              Part[$CellContext`pta$$, 1], 
              Part[$CellContext`pta$$, 2], $CellContext`v$$], 
             0, $CellContext`v$$]}], 
          Line[{$CellContext`pta$$, {
             $CellContext`xaT[0, 
              $CellContext`tbT[
               Part[$CellContext`pta$$, 1], 
               
               Part[$CellContext`pta$$, 
                2], $CellContext`v$$], $CellContext`v$$], 
             $CellContext`taT[0, 
              $CellContext`tbT[
               Part[$CellContext`pta$$, 1], 
               
               Part[$CellContext`pta$$, 
                2], $CellContext`v$$], $CellContext`v$$]}}], 
          PointSize[0.015], 
          Point[{
            $CellContext`xaT[0, 
             $CellContext`tbT[
              Part[$CellContext`pta$$, 1], 
              
              Part[$CellContext`pta$$, 
               2], $CellContext`v$$], $CellContext`v$$], 
            $CellContext`taT[0, 
             $CellContext`tbT[
              Part[$CellContext`pta$$, 1], 
              
              Part[$CellContext`pta$$, 
               2], $CellContext`v$$], $CellContext`v$$]}], 
          Line[{$CellContext`pta$$, {0, 
             Part[$CellContext`pta$$, 2]}}], 
          If[$CellContext`shw$$ == 2, {
            Darker[Green], 
            Thickness[0.01], 
            Dashing[{}], 
            Line[{{0, 0}, {
               $CellContext`xaT[
                $CellContext`xbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 2], $CellContext`v$$], 
                0, $CellContext`v$$], 
               $CellContext`taT[
                $CellContext`xbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 2], $CellContext`v$$], 
                0, $CellContext`v$$]}}], Blue, 
            Line[{{0, 0.03}, {
               $CellContext`xaT[
                $CellContext`xbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 2], $CellContext`v$$], 
                0, $CellContext`v$$], 0.03}}]}], 
          If[$CellContext`shw$$ == 3, {
            Darker[Green], 
            Thickness[0.01], 
            Dashing[{}], 
            Line[{{0, 0}, {
               $CellContext`xaT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$], 
               $CellContext`taT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$]}}], Blue, 
            Line[{{0.03, 0}, {0.03, 
               $CellContext`taT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$]}}]}], 
          If[$CellContext`shw$$ == 4, {
            Darker[Green], 
            Thickness[0.006], Dashed, 
            Line[{$CellContext`pta$$, {
               $CellContext`xaT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$], 
               $CellContext`taT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$]}}], 
            Line[{{0, 
               Part[$CellContext`pta$$, 2]}, {
               $CellContext`xaT[0, 
                $CellContext`tbT[0, 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$], 
               $CellContext`taT[0, 
                $CellContext`tbT[0, 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$]}}], 
            Thickness[0.01], 
            Dashing[{}], 
            Line[{{
               $CellContext`xaT[0, 
                $CellContext`tbT[0, 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$], 
               $CellContext`taT[0, 
                $CellContext`tbT[0, 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$]}, {
               $CellContext`xaT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$], 
               $CellContext`taT[0, 
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 
                 Part[$CellContext`pta$$, 
                  2], $CellContext`v$$], $CellContext`v$$]}}], Blue, 
            Thickness[0.01], 
            Dashing[{}], 
            Line[{$CellContext`pta$$, {0, 
               Part[$CellContext`pta$$, 2]}}]}], 
          Opacity[1], White, 
          Rectangle[{-0.5, 7.2}, {7.5, 10.2}], 
          Text[
           Style["Lorentz Transformation", {Black, 24}], {3.5, 9.8}], 
          EdgeForm[
           Directive[Thick, Blue]], 
          Rectangle[{0, 7.8}, {3.4, 9.5}], 
          Opacity[0.2], Blue, 
          Rectangle[{0, 9.1}, {3.4, 9.5}], 
          Opacity[1], White, 
          Text[
           Style["Static FoR", {Blue, Bold, 18}], {1.7, 9.3}], 
          Text[
           Style[
            StringJoin["\!\(\*SubscriptBox[\(x\), \(A\)]\) = ", 
             ToString[
              NumberForm[
               Part[$CellContext`pta$$, 1], {3, 2}]], " light seconds"], {
            Blue, 16}], {1.7, 8.8}], 
          Text[
           Style[
            StringJoin["\!\(\*SubscriptBox[\(t\), \(A\)]\) = ", 
             ToString[
              NumberForm[
               Part[$CellContext`pta$$, 2], {3, 2}]], " seconds"], {
            Blue, 16}], {1.5, 8.5}], 
          If[$CellContext`shw$$ == 2, 
           Text[
            Style[
             StringJoin["\!\(\*SubscriptBox[\(l\), \(A\)]\) = ", 
              ToString[
               NumberForm[
                $CellContext`xaT[
                 $CellContext`xbT[
                  Part[$CellContext`pta$$, 1], 
                  Part[$CellContext`pta$$, 2], $CellContext`v$$], 
                 0, $CellContext`v$$], {3, 2}]], " light seconds"], {
             Blue, 16}], {1.74, 8.1}]], 
          If[$CellContext`shw$$ == 3, 
           Text[
            Style[
             StringJoin[
             "\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(A\)]\) = ", 
              ToString[
               NumberForm[
                $CellContext`taT[0, 
                 $CellContext`tbT[
                  Part[$CellContext`pta$$, 1], 
                  
                  Part[$CellContext`pta$$, 
                   2], $CellContext`v$$], $CellContext`v$$], {3, 2}]], 
              " seconds"], {Blue, 16}], {1.5, 8.1}]], 
          If[$CellContext`shw$$ == 4, 
           Text[
            Style[
             StringJoin[
             "\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(A\)]\) = ", 
              ToString[
               NumberForm[0, {3, 2}]], " seconds"], {Blue, 16}], {1.5, 8.1}]], 
          EdgeForm[
           Directive[Thick, 
            Darker[Green]]], 
          Rectangle[{3.5, 7.8}, {6.9, 9.5}], 
          Opacity[0.2], 
          Darker[Green], 
          Rectangle[{3.5, 9.1}, {6.9, 9.5}], 
          Opacity[1], White, 
          Text[
           Style[
            StringJoin["Moving FoR v = ", 
             ToString[
              NumberForm[$CellContext`v$$, {3, 2}]], " c"], {
             Darker[Green], Bold, 18}], {5.2, 9.3}], 
          Text[
           Style[
            StringJoin["\!\(\*SubscriptBox[\(x\), \(B\)]\) = ", 
             ToString[
              NumberForm[
               $CellContext`xbT[
                Part[$CellContext`pta$$, 1], 
                Part[$CellContext`pta$$, 2], $CellContext`v$$], {3, 2}]], 
             " light seconds"], {
             Darker[Green], 16}], {5.2, 8.8}], 
          Text[
           Style[
            StringJoin["\!\(\*SubscriptBox[\(t\), \(B\)]\) = ", 
             ToString[
              NumberForm[
               $CellContext`tbT[
                Part[$CellContext`pta$$, 1], 
                Part[$CellContext`pta$$, 2], $CellContext`v$$], {3, 2}]], 
             " seconds"], {
             Darker[Green], 16}], {5, 8.5}], 
          If[$CellContext`shw$$ == 2, 
           Text[
            Style[
             StringJoin["\!\(\*SubscriptBox[\(l\), \(B\)]\) = ", 
              ToString[
               NumberForm[
                $CellContext`xbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 2], $CellContext`v$$], {3, 2}]], 
              " light seconds"], {
              Darker[Green], 16}], {5.24, 8.1}]], 
          If[$CellContext`shw$$ == 3, 
           Text[
            Style[
             StringJoin[
             "\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(B\)]\) = ", 
              ToString[
               NumberForm[
                $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 2], $CellContext`v$$], {3, 2}]], 
              " seconds"], {
              Darker[Green], 16}], {5., 8.1}]], 
          If[$CellContext`shw$$ == 4, 
           Text[
            Style[
             StringJoin[
             "\!\(\*SubscriptBox[\(\[CapitalDelta]t\), \(B\)]\) = ", 
              ToString[
               NumberForm[$CellContext`tbT[0, 
                  
                  Part[$CellContext`pta$$, 
                   2], $CellContext`v$$] - $CellContext`tbT[
                 Part[$CellContext`pta$$, 1], 
                 Part[$CellContext`pta$$, 2], $CellContext`v$$], {3, 2}]], 
              " seconds"], {
              Darker[Green], 16}], {5., 8.1}]], 
          Text[
           Style["\!\(\*SubscriptBox[\(t\), \(A\)]\)", {Blue, 16}], {0.2, 
           7.5}], 
          Text[
           Style["\!\(\*SubscriptBox[\(t\), \(B\)]\)", {
             Darker[Green], 16}], {$CellContext`xaT[
             0, 7/$CellContext`\[Gamma][$CellContext`v$$], $CellContext`v$$] + 
            0.5, 7.}], 
          Text[
           Style["\!\(\*SubscriptBox[\(x\), \(B\)]\)", {
             Darker[Green], 16}], {
           6.8, $CellContext`loS[7, 0, $CellContext`v$$] + 0.5}]}, 
        AspectRatio -> 11/7, PlotRange -> {{0, 7}, {0, 10}}, ImageSize -> 
        500], "Specifications" :> {{{$CellContext`v$$, 0.5, "velocity"}, 0.01,
          0.85}, {{$CellContext`pta$$, {3, 3}}, {0, 0}, {7, 7}, ControlType -> 
         Locator}, {{$CellContext`shw$$, 1, "Show:"}, {
         1 -> "coordinates only", 2 -> "length contraction", 3 -> 
          "time dilation", 4 -> "relativity of simultaneity"}, ControlType -> 
         PopupMenu}, {{$CellContext`sol$$, False, 
          "speed of light worldline"}, {True, False}, ControlType -> 
         Checkbox}}, "Options" :> {}, "DefaultOptions" :> {}],
     ImageSizeCache->{557., {446., 451.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`loL[
         Pattern[$CellContext`xa, 
          Blank[]], 
         Pattern[$CellContext`xb, 
          Blank[]], 
         Pattern[$CellContext`v, 
          
          Blank[]]] := $CellContext`xa/$CellContext`v - \
$CellContext`xb/($CellContext`\[Gamma][$CellContext`v] $CellContext`v), \
$CellContext`\[Gamma][
         Pattern[$CellContext`v, 
          Blank[]]] := 1/Sqrt[1 - $CellContext`v^2/1], $CellContext`loS[
         Pattern[$CellContext`xa, 
          Blank[]], 
         Pattern[$CellContext`tb, 
          Blank[]], 
         Pattern[$CellContext`v, 
          
          Blank[]]] := $CellContext`tb/$CellContext`\[Gamma][$CellContext`v] + \
($CellContext`v/1^2) $CellContext`xa, $CellContext`xaT[
         Pattern[$CellContext`xb, 
          Blank[]], 
         Pattern[$CellContext`tb, 
          Blank[]], 
         Pattern[$CellContext`v, 
          
          Blank[]]] := $CellContext`\[Gamma][$CellContext`v] ($CellContext`xb + \
$CellContext`v $CellContext`tb), $CellContext`taT[
         Pattern[$CellContext`xb, 
          Blank[]], 
         Pattern[$CellContext`tb, 
          Blank[]], 
         Pattern[$CellContext`v, 
          
          Blank[]]] := $CellContext`\[Gamma][$CellContext`v] ($CellContext`tb + \
$CellContext`v $CellContext`xb), $CellContext`xbT[
         Pattern[$CellContext`xa, 
          Blank[]], 
         Pattern[$CellContext`ta, 
          Blank[]], 
         Pattern[$CellContext`v, 
          
          Blank[]]] := $CellContext`\[Gamma][$CellContext`v] ($CellContext`xa - \
$CellContext`v $CellContext`ta), $CellContext`tbT[
         Pattern[$CellContext`xa, 
          Blank[]], 
         Pattern[$CellContext`ta, 
          Blank[]], 
         Pattern[$CellContext`v, 
          
          Blank[]]] := $CellContext`\[Gamma][$CellContext`v] ($CellContext`ta - \
$CellContext`v $CellContext`xa)}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.577969786496768*^9, 3.5779698998271*^9, 3.57796999224134*^9, 
   3.577970037312847*^9, 3.5779702197330875`*^9, 3.5779705578084216`*^9, 
   3.577970746807104*^9, 3.577970836138712*^9, 3.5779709075488524`*^9, 
   3.5779710398640823`*^9, 3.5779711024193373`*^9, 3.57797121435353*^9, 
   3.57797744042607*^9, 3.577977680358061*^9, {3.5779787439874134`*^9, 
   3.5779787714931636`*^9}, 3.5779788894059534`*^9, 3.577979071960207*^9, 
   3.5779791124372544`*^9, {3.57797918129714*^9, 3.5779791934573555`*^9}, {
   3.5779792321712265`*^9, 3.5779792556815777`*^9}, 3.5779793158095894`*^9, 
   3.57797936371638*^9, 3.5779794106800756`*^9, 3.5779794414891567`*^9, {
   3.577979491048112*^9, 3.577979510342041*^9}, 3.577979541444151*^9, 
   3.5779795961036167`*^9, {3.577979672527258*^9, 3.5779796938263874`*^9}, 
   3.5779799610271053`*^9, 3.5779800669016914`*^9, 3.57798019589959*^9, {
   3.5779802406600657`*^9, 3.577980262139213*^9}, 3.577980549984995*^9, 
   3.577981052057197*^9, 3.5779812606225586`*^9, 3.5779814670475583`*^9, 
   3.5779816118881793`*^9, 3.577981646326623*^9, 3.577983305422516*^9, 
   3.5883467806597376`*^9, 3.5887716173688784`*^9, 3.5887773648810563`*^9, 
   3.5887775672530565`*^9, 3.588782942717309*^9}]
}, {2}]],

Cell["\<\
Tato uk\[AAcute]zka nebyla publikov\[AAcute]na na webu Demonstrations \
Project, ale nen\[IAcute] nic jednodu\[SHacek]\[SHacek]\[IAcute]ho, ne\
\[ZHacek] si ji publikovat na sv\[EAcute]m vlastn\[IAcute]m webu.\
\>", "Text",
 CellChangeTimes->{{3.588782874805519*^9, 3.588782931756213*^9}}]
}, Open  ]]
},
WindowSize->{1048, 955},
WindowMargins->{{41, Automatic}, {Automatic, 6}},
FrontEndVersion->"9.0 for Microsoft Windows (32-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 483, 6, 101, "Title"],
Cell[CellGroupData[{
Cell[1087, 32, 51623, 1197, 2435, "Input"],
Cell[52713, 1231, 20266, 482, 914, "Output"]
}, {2}]],
Cell[72991, 1716, 299, 5, 30, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
